UniqueFileStrategy (LogKit API)
Keywords: org.apache.log.output.io.rotate.UniqueFileStrategy,UniqueFileStrategy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.io.rotate
Class UniqueFileStrategy

    java.lang.Object
      |
      +--org.apache.log.output.io.rotate.UniqueFileStrategy

All Implemented Interfaces:
  FileStrategy

public class UniqueFileStrategy
extends Object
implements FileStrategy

Strategy for naming log files based on appending time suffix. A file name can be based on simply appending the number of miliseconds since (not really sure) 1/1/1970. Other constructors accept a pattern of a `SimpleDateFormat` to form the appended string to the base file name as well as a suffix which should be appended last. A `new UniqueFileStrategy( new File( "foo." ), "yyyy-MM-dd", ".log" )` object will return `File` objects with file names like `foo.2001-12-24.log`

Author:
  Bernhard Huber, Giacomo Pati

Constructor Summary
`UniqueFileStrategy(File baseFile)` Creation of a new Unique File Strategy ??
`UniqueFileStrategy(File baseFile, String pattern)` Creation of a new Unique File Strategy ??
`UniqueFileStrategy(File baseFile, String pattern, String suffix)` Creation of a new Unique File Strategy ??

Method Summary
`File` | `nextFile()` Calculate the real file name from the base filename.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniqueFileStrategy

    public UniqueFileStrategy(File baseFile)

  Creation of a new Unique File Strategy ??

Parameters:
  `baseFile` - the base file

### UniqueFileStrategy

    public UniqueFileStrategy(File baseFile,
                              String pattern)

  Creation of a new Unique File Strategy ??

Parameters:
  `baseFile` - the base file
  `pattern` - the format pattern

### UniqueFileStrategy

    public UniqueFileStrategy(File baseFile,
                              String pattern,
                              String suffix)

  Creation of a new Unique File Strategy ??

Parameters:
  `baseFile` - the base file
  `pattern` - the format pattern
  `suffix` - the suffix ??

Method Detail

### nextFile

    public File nextFile()

  Calculate the real file name from the base filename.

  Specified by:
    `nextFile` in interface `FileStrategy`
  Returns:
    File the calculated file name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.